summaryrefslogtreecommitdiffstats
path: root/defaultenv/bin/boot
diff options
context:
space:
mode:
authorJean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>2011-03-11 02:10:39 +0100
committerSascha Hauer <s.hauer@pengutronix.de>2011-03-14 11:57:11 +0100
commit9eac282024c55fc13970189d6ace61f884917538 (patch)
tree13b384f9b34ce924d635a86e8eb48aaac551dc59 /defaultenv/bin/boot
parent3e48ef43eddaa09646925f6383d08d98be8b79ec (diff)
downloadbarebox-9eac282024c55fc13970189d6ace61f884917538.tar.gz
barebox-9eac282024c55fc13970189d6ace61f884917538.tar.xz
defaultenv: add kernel_loc nfs and tftp support
before we can only support tftp so keep it as default Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com> Cc: Nicolas Ferre <nicolas.ferre@atmel.com> Cc: Patrice Vilchez <patrice.vilchez@atmel.com> Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Diffstat (limited to 'defaultenv/bin/boot')
-rw-r--r--defaultenv/bin/boot13
1 files changed, 8 insertions, 5 deletions
diff --git a/defaultenv/bin/boot b/defaultenv/bin/boot
index 7497791c0b..de4fa24f27 100644
--- a/defaultenv/bin/boot
+++ b/defaultenv/bin/boot
@@ -8,9 +8,12 @@ if [ x$1 = xnand ]; then
elif [ x$1 = xnor ]; then
rootfs_loc=nor
kernel_loc=nor
-elif [ x$1 = xnet ]; then
+elif [ x$1 = xnfs ]; then
rootfs_loc=net
- kernel_loc=net
+ kernel_loc=nfs
+elif [ x$1 = xtftp ]; then
+ rootfs_loc=net
+ kernel_loc=tftp
fi
if [ x$ip = xdhcp ]; then
@@ -71,7 +74,7 @@ if [ ! -e /dev/ram0.kernel ]; then
addpart /dev/ram0 8M@8M(kernel)
fi
-if [ x$kernel_loc = xnet ]; then
+if [ x$kernel_loc = xnfs ] || [ x$kernel_loc = xtftp ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
@@ -87,14 +90,14 @@ if [ x$kernel_loc = xnet ]; then
echo "error: set kernelimage_type to one of 'uimage', 'zimage', 'raw' or 'raw_lzo'"
exit 1
fi
- tftp $kernelimage $netload || exit 1
+ $kernel_loc $kernelimage $netload || exit 1
kdev="$netload"
elif [ x$kernel_loc = xnor ]; then
kdev="/dev/nor0.kernel"
elif [ x$kernel_loc = xnand ]; then
kdev="/dev/nand0.kernel.bb"
else
- echo "error: set kernel_loc to one of 'net', 'nand' or 'nor'"
+ echo "error: set kernel_loc to one of 'nfs', 'tftp', 'nand' or 'nor'"
exit 1
fi